Bug 811290 - [wireless] ath9k: authentication timed out (WPA2-PSK AES) , only with 2.6.43.1
[wireless] ath9k: authentication timed out (WPA2-PSK AES) , only with 2.6.43.1
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
15
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-10 11:58 EDT by Account closed by user
Modified: 2012-04-16 18:20 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-16 18:20:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
wpa_supplicant log (63.32 KB, text/plain)
2012-04-10 16:33 EDT, Account closed by user
no flags Details
dmesg (59.36 KB, text/plain)
2012-04-10 16:35 EDT, Account closed by user
no flags Details
lspci -nn -vv (33.48 KB, text/plain)
2012-04-10 16:36 EDT, Account closed by user
no flags Details
wpa_supplicant.conf (167 bytes, text/plain)
2012-04-10 16:40 EDT, Account closed by user
no flags Details

  None (edit)
Description Account closed by user 2012-04-10 11:58:41 EDT
with kernel-2.6.43.1-2.fc15.x86_64 I get "authentication with timed out".

kernel-2.6.42.12-1.fc15.x86_64 is working fine.
Comment 1 John W. Linville 2012-04-10 13:07:30 EDT
That really isn't much information.  Let's start with seeing the output from running 'dmesg' after you observe the problem.  Does the connectiong get established eventually?
Comment 2 Account closed by user 2012-04-10 16:31:03 EDT
(In reply to comment #1)
> That really isn't much information.  Let's start with seeing the output from
> running 'dmesg' after you observe the problem.  Does the connectiong get
> established eventually?

NEVER.
Comment 3 Account closed by user 2012-04-10 16:33:53 EDT
Created attachment 576591 [details]
wpa_supplicant log

wpa_supplicant -Dwext -iwlan0 -c /etc/wpa_supplicant/wpa_supplicant.conf -B -t -u -f /var/log/wpa_supplicant.log -P /var/run/wpa_supplicant.pid -dd
Comment 4 Account closed by user 2012-04-10 16:35:49 EDT
Created attachment 576592 [details]
dmesg

[   83.942127] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 1)
[   84.141306] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 2)
[   84.341305] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 3)
[   84.541297] wlan0: authentication with 38:72:c0:a9:54:e1 timed out
[  108.128541] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 1)
[  108.327790] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 2)
[  108.527787] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 3)
[  108.727794] wlan0: authentication with 38:72:c0:a9:54:e1 timed out
[  132.319017] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 1)
[  132.518283] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 2)
[  132.718289] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 3)
[  132.918280] wlan0: authentication with 38:72:c0:a9:54:e1 timed out
[  156.503655] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 1)
[  156.702776] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 2)
[  156.902766] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 3)
[  157.102765] wlan0: authentication with 38:72:c0:a9:54:e1 timed out
[  180.692005] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 1)
[  180.891280] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 2)
[  181.091256] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 3)
[  181.291261] wlan0: authentication with 38:72:c0:a9:54:e1 timed out
[  204.873461] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 1)
[  205.072753] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 2)
[  205.272749] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 3)
[  205.472743] wlan0: authentication with 38:72:c0:a9:54:e1 timed out
Comment 5 Account closed by user 2012-04-10 16:36:45 EDT
Created attachment 576593 [details]
lspci -nn -vv

lspci -nn -vv
Comment 6 Account closed by user 2012-04-10 16:40:43 EDT
Created attachment 576596 [details]
wpa_supplicant.conf
Comment 7 Account closed by user 2012-04-10 16:41:55 EDT
Comment on attachment 576593 [details]
lspci -nn -vv

Atheros Communications Inc. AR928X Wireless Network Adapter (PCI-Express) [168c:002a] (rev 01)
Comment 8 John W. Linville 2012-04-12 11:02:41 EDT
On a hunch, I'm building some test kernels w/ a patch (actually a revert) from upstream:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3985606

When they finish building, please give them a try and post the results here -- thanks!
Comment 9 Account closed by user 2012-04-12 16:46:00 EDT
(In reply to comment #8)

> On a hunch, I'm building some test kernels w/ a patch (actually a revert) from
> upstream:
> 
> http://koji.fedoraproject.org/koji/taskinfo?taskID=3985606
> 
> When they finish building, please give them a try and post the results here --
> thanks!

It's working flawlessly.

-thanks-

[  116.671000] wlan0: authenticate with 38:72:c0:a9:54:e1 (try 1)
[  116.672990] wlan0: authenticated
[  116.673004] wlan0: associate with 38:72:c0:a9:54:e1 (try 1)
[  116.679728] wlan0: RX AssocResp from 38:72:c0:a9:54:e1 (capab=0x411 status=0 aid=1)
[  116.679731] wlan0: associated
[  116.679733] wlan0: moving STA 38:72:c0:a9:54:e1 to state 1
[  116.679734] wlan0: moving STA 38:72:c0:a9:54:e1 to state 2
[  116.679735] wlan0: moving STA 38:72:c0:a9:54:e1 to state 3
[  116.687328] ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
[  127.306621] wlan0: no IPv6 routers present

Note You need to log in before you can comment on or make changes to this bug.